commit 22bc1d808ebb6c3958e8231a36b73cd45a7f2c30
Author: Spencer Janssen <spencerjanssen@gmail.com>
Date:   Mon Dec 3 17:33:49 2018 -0600

    Work around btrfs v4.19
    
    Addresses #459

diff --git a/snapper/Btrfs.cc b/snapper/Btrfs.cc
index cb9f7b3..c05557b 100644
--- a/snapper/Btrfs.cc
+++ b/snapper/Btrfs.cc
@@ -41,6 +41,9 @@
 #include <btrfs/send.h>
 #include <btrfs/send-stream.h>
 #include <btrfs/send-utils.h>
+#ifdef swap
+#undef swap
+#endif
 #include <boost/version.hpp>
 #include <boost/thread.hpp>
 #endif
diff --git a/snapper/BtrfsUtils.cc b/snapper/BtrfsUtils.cc
index bada3f8..9edc325 100644
--- a/snapper/BtrfsUtils.cc
+++ b/snapper/BtrfsUtils.cc
@@ -34,6 +34,9 @@
 #ifdef HAVE_LIBBTRFS
 #include <btrfs/ioctl.h>
 #include <btrfs/send-utils.h>
+#ifdef swap
+#undef swap
+#endif
 #endif
 #include <algorithm>
 #include <functional>
